Skip to main content
POST
/
api
/
identity
/
merge-suggestions
/
{id}
/
queue
Queue identity merge suggestion
curl --request POST \
  --url https://app.outlit.ai/api/identity/merge-suggestions/{id}/queue \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reviewNotes": "Verified duplicate"
}
'
import requests

url = "https://app.outlit.ai/api/identity/merge-suggestions/{id}/queue"

payload = { "reviewNotes": "Verified duplicate" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reviewNotes: 'Verified duplicate'})
};

fetch('https://app.outlit.ai/api/identity/merge-suggestions/{id}/queue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "commandVersion": 123,
  "correlationId": "<string>",
  "result": {
    "status": "<string>",
    "resources": [
      {
        "type": "<string>",
        "id": "<string>"
      }
    ],
    "data": {
      "proposalId": "<string>",
      "jobId": "<string>"
    },
    "warnings": [
      "<string>"
    ],
    "auditId": "<string>"
  }
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"error": "Invalid credentials"
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Path Parameters

id
string
required
Minimum string length: 1

Body

application/json
reviewNotes
string
Maximum string length: 10000

Response

Identity merge suggestion was queued.

ok
boolean
required
commandId
enum<string>
required
Available options:
identity.mergeSuggestion.queue,
identity.mergeSuggestion.reject
commandVersion
integer
required
correlationId
string
required
result
object
required